hgit
===

[![pipeline status](https://gitlab.chromabits.com/etcinit/hgit/badges/master/pipeline.svg)](https://gitlab.chromabits.com/etcinit/hgit/-/commits/master)
[![license: BSD](https://img.shields.io/badge/license-BSD-blue)](http://en.wikipedia.org/wiki/BSD_licenses)

**hgit** is a reimplementation of git storage and protocol in pure Haskell.

This library is a fork of https://github.com/vincenthz/hs-git.

## What it does do:

* Read loose objects, and packed objects.
* Write new loose objects.
* Git like operations: commit, cat-file, verify-pack, rev-list, ls-tree.
* Diff between commits.

## What is doesn't do:

* Reimplement the entirety of git.
* Checkout's index reading/writing, fetching, merging, diffing.
